/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__
#ifdef __STDC__

extern void calcul_array_L ( FLAT_STR *flatPt );
extern void calcul_array_phi ( FLAT_STR *flatPt );
extern void destroyFlatStruct ( FLAT_STR *flatPt );
extern double functionToBeIntegrated ( FLAT_STR *flatPt, double x );
extern FLAT_STR *initializeFlatValue ( GENPOS_TRAILER_CONNECTION *robotSizePt );
extern void initializeFlatValueAtAddress ( GENPOS_TRAILER_CONNECTION *robotSizePt, FLAT_STR* flatPt );
extern double intSimpson ( FLAT_STR *flatPt, double a, double b );

#else /* __STDC__ */

extern void calcul_array_L (/* FLAT_STR *flatPt */);
extern void calcul_array_phi (/* FLAT_STR *flatPt */);
extern void destroyFlatStruct (/* FLAT_STR *flatPt */);
extern double functionToBeIntegrated (/* FLAT_STR *flatPt, double x */);
extern FLAT_STR *initializeFlatValue (/* GENPOS_TRAILER_CONNECTION *robotSizePt */);
extern void initializeFlatValueAtAddress (/* GENPOS_TRAILER_CONNECTION *robotSizePt, FLAT_STR* flatPt */);
extern double intSimpson (/* FLAT_STR *flatPt, double a, double b */);

#endif /* __STDC__ */
#endif /* __CEXTRACT__ */
